import java.net.*; 
import java.io.*; 
import org.xml.sax.*; 
import org.xml.sax.helpers.ParserFactory; 
import com.sun.xml.parser.Resolver; 
 
public class xmlImporter extends HandlerBase{

	// init local Gamut object  and populate with data from XML
	private Gamut importGamut = new Gamut();		
	private String currentElement = null; //current element name 
 
	// constructor
	public xmlImporter()
	{
	
	}
	
	// method to return importGamut
	public Gamut getGamut()
	{
		return this.importGamut;
	}
	
	/* 
	This method is called when the SAX parser encounters an open element
	tag. Must remember which element tag was just opened (so that the 
	characters(..) method can do something useful with the data that is 
	read by the parser. 
	*/ 
	public void startElement( String name , AttributeList atts )
	{ 
		// Here we check "name" to tell which data point must be populated
		
	}
	
	/* 
	This method is called when the SAX parser encounters a close element 
	tag. If the person tag is closed, then the person objec must be 
	added to the AddressBook (ab). 
	*/ 
	public void endElement( String name )
	{

	}

	/* 
	This method is called when the SAX parser encounters #PCDATA or CDATA. 
	It is important to remember which element tag was just opened so that 
	this data can be put in the right object. 
	I had to trim() the textual data and make sure that empty data is 
	just ignored. 
	Also the start index and length integer must be used to retrieve only 
	a portion of the data stored in the char[]. 
	*/ 
	public void characters( char ch[], int start, int length ){ 
		//dont try to read ch[] as it will go on forever, must use the 
		//range provided by the SAX parser. 
		String value = new String( ch , start , length ); 
		if(!value.trim().equals("")) { 
			if( currentElement.equalsIgnoreCase("FIRSTNAME") ) { 
				p.setFirstName( value ); 
			} 
			else if( currentElement.equalsIgnoreCase("LASTNAME") ) { 
				p.setLastName( value ); 
			} 
			else if( currentElement.equalsIgnoreCase("COMPANY") ) { 
				p.setCompany( value ); 
			} 
			else if( currentElement.equalsIgnoreCase("EMAIL") ) { 
				p.setEmail( value ); 
			} 
		} 
	} 
	
/*	try{ 

		//create an InputSource from the XML document source	
		InputStreamReader isr = new InputStreamReader(new URL("http://host/AddressBook.xml").openStream(); 
			//new FileReader( new File( "AddressBook.xml" )) 
		); 
		InputSource is = new InputSource( isr ); 
	  
		//create an documenthandler to create obj model 
		DocumentHandler handler = //new YourHandler(); 
		
		//create a SAX parser using SAX interfaces and classes 
		String parserClassName = "com.sun.xml.parser.Parser"; 
		org.xml.sax.Parser.parser = org.xml.sax.helpers.ParserFactory.makeParser( parserClassName ); 
		
		//create document handler to do something useful 
		//with the XML document being parsed by the parser. 
		parser.setDocumentHandler( handler ); 
		parser.parse( is ); 
	} 
	catch(Throwable t){ 
		System.out.println( t ); 
		t.printStackTrace(); 
	} 

*/

}